GET/v1/customers/{external_id}/moves
List a customer's moves
Lists the customer's subscription moves, a page at a time. Needs customers:read.
curl 'https://api.entitler.co/v1/customers/ada/moves' \
-H "Authorization: Bearer $ENTITLER_KEY"Credentials
Send any one of these:
- Bearer token
Path parameters
| Name | Type | Description |
|---|---|---|
external_idrequired | string | The customer's external ID, or me for the customer a customer token or identity token names. |
Query parameters
| Name | Type | Description |
|---|---|---|
target.team_id | string | |
target.project_id | string | |
target.environment_id | string | |
page_size | integer (int64) | |
page_token | string |
Responses
200The ListMovesResponse message.
ListMovesResponse
movesarray of CustomerMoverequiredactorcommon.Actoridstringrequiredtypecommon.ActorTyperequiredOne of
ACTOR_TYPE_UNSPECIFIED,ACTOR_TYPE_USER,ACTOR_TYPE_KEY,ACTOR_TYPE_SYSTEM.
amountAmountamountintegerrequiredat least 0; at most 18446744073709552000
currencystringrequireddisplaystringrequired
atintegerrequiredat least 0; at most 18446744073709552000
changeIdstringchargeIdsarray of stringrequiredcohortIdstringcollectionSubscriptionCollectionrequiredOne of
SUBSCRIPTION_COLLECTION_UNSPECIFIED,SUBSCRIPTION_COLLECTION_PROVIDER,SUBSCRIPTION_COLLECTION_BUSINESS,SUBSCRIPTION_COLLECTION_NOT_CHARGED.discountEndReasonDiscountEndReasonrequiredOne of
DISCOUNT_END_REASON_UNSPECIFIED,DISCOUNT_END_REASON_PERIODS_USED,DISCOUNT_END_REASON_UNTIL_REACHED,DISCOUNT_END_REASON_MOVED_OFF_PLANS,DISCOUNT_END_REASON_PROVIDER,DISCOUNT_END_REASON_PAYER_ENDED,DISCOUNT_END_REASON_OWNED,DISCOUNT_END_REASON_LEFT_SEGMENT,DISCOUNT_END_REASON_OFFER_ENDED.discountGivenByDiscountGivenByrequiredOne of
DISCOUNT_GIVEN_BY_UNSPECIFIED,DISCOUNT_GIVEN_BY_BUSINESS,DISCOUNT_GIVEN_BY_CUSTOMER,DISCOUNT_GIVEN_BY_CODE,DISCOUNT_GIVEN_BY_SEGMENT,DISCOUNT_GIVEN_BY_REFERRAL.dueAtintegerat least 0; at most 18446744073709552000
earlybooleanrequiredeffectiveAtintegerrequiredat least 0; at most 18446744073709552000
fromPlanIdstringfromQuantityinteger (int64)at least 0; at most 4294967295
fromVersionNumberintegerat least 0; at most 18446744073709552000
grantIdstringidstringrequiredkeepsBillingbooleanrequiredkindMoveKindrequiredOne of
MOVE_KIND_UNSPECIFIED,MOVE_KIND_SUBSCRIBED,MOVE_KIND_MOVED,MOVE_KIND_MOVE_BOOKED,MOVE_KIND_CANCELLED,MOVE_KIND_CANCEL_BOOKED,MOVE_KIND_PENDING_UNDONE,MOVE_KIND_PERIOD_CHANGED,MOVE_KIND_UNTIL_SET,MOVE_KIND_VERSION_MOVED,MOVE_KIND_VERSION_MOVE_SCHEDULED,MOVE_KIND_RENEWED,MOVE_KIND_ENDED,MOVE_KIND_ADD_ON_ADDED,MOVE_KIND_ADD_ON_QUANTITY_SET,MOVE_KIND_ADD_ON_REMOVED,MOVE_KIND_ADD_ON_MOVED,MOVE_KIND_ADD_ON_MOVE_BOOKED,MOVE_KIND_ADD_ON_MOVE_UNDONE,MOVE_KIND_GRANTED,MOVE_KIND_GRANT_REVOKED,MOVE_KIND_TRACK_ASSIGNED,MOVE_KIND_COLLECTION_SET,MOVE_KIND_AWAITING_PAYMENT,MOVE_KIND_PAYMENT_MISSED,MOVE_KIND_PAYMENT_RECORDED,MOVE_KIND_PAYMENT_REVERSED,MOVE_KIND_CHANGE_ACCEPTED,MOVE_KIND_CHANGE_NOT_ACCEPTED,MOVE_KIND_DISCOUNT_GIVEN,MOVE_KIND_DISCOUNT_ENDED,MOVE_KIND_DISCOUNT_WITHDRAWN,MOVE_KIND_DISCOUNT_APPLIED,MOVE_KIND_CHARGE_RAISED,MOVE_KIND_CHARGE_PAID,MOVE_KIND_CHARGE_REVERSED,MOVE_KIND_RENEWED_NOW,MOVE_KIND_PAYER_ADDED,MOVE_KIND_PAYER_ENDED,MOVE_KIND_PAUSED,MOVE_KIND_PAUSE_ENDED,MOVE_KIND_WITHDRAWN,MOVE_KIND_SUSPENDED,MOVE_KIND_RESUMED,MOVE_KIND_PURCHASE_PENDING,MOVE_KIND_PURCHASE_EXPIRED,MOVE_KIND_OWNED,MOVE_KIND_PAYER_SHARE_APPLIED,MOVE_KIND_VOUCHER_REDEEMED,MOVE_KIND_TRIAL_STARTED,MOVE_KIND_TRIAL_CONVERTED,MOVE_KIND_TRIAL_ENDED,MOVE_KIND_ADD_ON_QUANTITY_BOOKED,MOVE_KIND_VOUCHER_TAKEN_BACK,MOVE_KIND_WAITING_CREDITED,MOVE_KIND_WAITING_CREDIT_REMOVED,MOVE_KIND_GIFT_PAID,MOVE_KIND_PACK_BOUGHT,MOVE_KIND_TOP_UP_REVERSED.moneyCustomerMoneyrequiredOne of
CUSTOMER_MONEY_UNSPECIFIED,CUSTOMER_MONEY_REAL,CUSTOMER_MONEY_TEST.offerCodestringofferIdstringpackPurchaseIdstringpayerEndReasonPayerEndReasonrequiredOne of
PAYER_END_REASON_UNSPECIFIED,PAYER_END_REASON_ENDED,PAYER_END_REASON_UNTIL_REACHED,PAYER_END_REASON_PAYER_ERASED,PAYER_END_REASON_PAYER_DELETED.payerIdstringperiodIdstringperiodsinteger (int64)at least 0; at most 4294967295
planIdstringproductIdstringquantityinteger (int64)at least 0; at most 4294967295
reasonstringreferralIdstringrefundsRefundsrefundsarray of RefundrequiredamountAmountamountintegerrequiredat least 0; at most 18446744073709552000
currencystringrequireddisplaystringrequired
chargeIdstringpaidAtintegerat least 0; at most 18446744073709552000
totalAmountamountintegerrequiredat least 0; at most 18446744073709552000
currencystringrequireddisplaystringrequired
releaseIdstringreversalScopeReversalScoperequiredOne of
REVERSAL_SCOPE_UNSPECIFIED,REVERSAL_SCOPE_SUBSCRIPTION,REVERSAL_SCOPE_CUSTOMER,REVERSAL_SCOPE_CUSTOMER_BLOCKED.rolloutIdstringtopUpsarray of TopUpAmountrequiredamountintegerrequiredat least 0; at most 18446744073709552000
featureKeystringrequired
trackIdstringtrialOutcomeTrialOutcomerequiredOne of
TRIAL_OUTCOME_UNSPECIFIED,TRIAL_OUTCOME_CONVERTED,TRIAL_OUTCOME_FELL_BACK,TRIAL_OUTCOME_ENDED.versionNumberintegerat least 0; at most 18446744073709552000
voucherIdstringwaitingCreditIdstring
nextPageTokenstring
ErrorA refusal, with the HTTP status of its gRPC code.
Error
errorobjectrequiredcodestringrequiredparametersobjectrequiredEach value: string
reasonstringor nullrequired